CMSIS-DSP: Vector Fill

| CMSIS-DSP CMSIS DSP Software Library

- Main Page
- Usage and Description
- Reference

All Data Structures Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions
Vector Fill
Support Functions

## Functions

void | arm_fill_f16 (float16_t value, float16_t *pDst, uint32_t blockSize)
| Fills a constant value into a f16 vector. More...
void | arm_fill_f32 (float32_t value, float32_t *pDst, uint32_t blockSize)
| Fills a constant value into a floating-point vector. More...
void | arm_fill_f64 (float64_t value, float64_t *pDst, uint32_t blockSize)
| Fills a constant value into a floating-point vector. More...
void | arm_fill_q15 (q15_t value, q15_t *pDst, uint32_t blockSize)
| Fills a constant value into a Q15 vector. More...
void | arm_fill_q31 (q31_t value, q31_t *pDst, uint32_t blockSize)
| Fills a constant value into a Q31 vector. More...
void | arm_fill_q7 (q7_t value, q7_t *pDst, uint32_t blockSize)
| Fills a constant value into a Q7 vector. More...

## Description

Fills the destination vector with a constant value.

        pDst[n] = value;   0 <= n < blockSize.

There are separate functions for floating point, Q31, Q15, and Q7 data types.

## Function Documentation

void arm_fill_f16 | ( | float16_t | value,
|  | float16_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Fills a constant value into a floating-point vector.

Parameters

  [in] | value | input value to be filled
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_fill_f32 | ( | float32_t | value,
|  | float32_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_fill_f64 | ( | float64_t | value,
|  | float64_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_fill_q15 | ( | q15_t | value,
|  | q15_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_fill_q31 | ( | q31_t | value,
|  | q31_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none

void arm_fill_q7 | ( | q7_t | value,
|  | q7_t * | pDst,
|  | uint32_t | blockSize
| ) |  |

Parameters

  [in] | value | input value to be filled
  [out] | pDst | points to output vector
  [in] | blockSize | number of samples in each vector

Returns
  none